Skip to main content
`Ctrl`+`K`

# DMMoabGetHierarchyLevel

Get the current level of the mesh hierarchy generated through uniform refinement.

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetHierarchyLevel(DM dm, PetscInt *nlevel)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameter

- nlevel - The current mesh hierarchy level

## See Also

`DMMOAB`, `DMMoabGetMaterialBlock()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages